

Name:           sane-backends-iscan-proprietary-drivers
Version:        1.0.22
Release:        %mkrel 2
URL:            http://www.avasys.jp/english/linux_e/index.html
License:        NON-OSI-COMPLIANT(royalties)
Group:          Hardware/Scanner
AutoReqProv:    on
ExclusiveArch:  %ix86
Summary:        Proprietary Driver Libraries for Image Scan for Epson Scanners

Source0: esci-interpreter-gt-f720-0.0.1-2.i386.rpm
Source1: esci-interpreter-perfection-v330-0.0.1-1.i386.rpm
Source2: iscan-plugin-cx4400-2.0.0-0.c2.i386.rpm
Source3: iscan-plugin-gt-1500-2.1.1-2.c2.i386.rpm
Source4: iscan-plugin-gt-7200-1.0.0-1.c2.i386.rpm
Source5: iscan-plugin-gt-7300-1.0.0-1.c2.i386.rpm
Source6: iscan-plugin-gt-9400-1.0.0-1.c2.i386.rpm
Source7: iscan-plugin-gt-f500-1.0.0-1.c2.i386.rpm
Source8: iscan-plugin-gt-f520-1.0.0-1.c2.i386.rpm
Source9: iscan-plugin-gt-f600-1.0.0-1.c2.i386.rpm
Source10: iscan-plugin-gt-f670-2.1.0-3.c2.i386.rpm
Source11: iscan-plugin-gt-f700-2.1.0-3.c2.i386.rpm
Source12: iscan-plugin-gt-s600-2.1.0-3.c2.i386.rpm
Source13: iscan-plugin-gt-x750-2.1.0-5.c2.i386.rpm
Source14: iscan-plugin-gt-x770-2.1.1-2.c2.i386.rpm
Source15: iscan-plugin-gt-x820-2.1.0-0.c2.i386.rpm
PreReq:         /sbin/ldconfig
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Conflicts: sane-backends-iscan

%prep
%setup -c -T

CPIO_OPTS="--extract --unconditional --preserve-modification-time --make-directories --verbose"
for f in %{SOURCE0} %{SOURCE1} %{SOURCE2} %{SOURCE3} %{SOURCE4} %{SOURCE5} %{SOURCE6} %{SOURCE7} %{SOURCE8} %{SOURCE9} %{SOURCE10} %{SOURCE11} %{SOURCE12} %{SOURCE13} %{SOURCE14} %{SOURCE15}
do case $( rpm2cpio $f | head -c 2 - ) in
        BZ) rpm2cpio $f | bunzip2 | cpio ${CPIO_OPTS} ;;
        *) rpm2cpio $f | cpio ${CPIO_OPTS} ;;
   esac
done

%build

%install
install -d %{buildroot}%{_libdir}/iscan
cp -a usr/lib/iscan/libesint* %{buildroot}%{_libdir}/iscan/

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-,root,root)
%doc usr/share/doc/*
%dir %{_libdir}/iscan
%{_libdir}/iscan/

%description
The proprietary binary-only i386-only libraries are provided (in object
code form only) under the terms of the license agreement provided in
the EAPL and LICENSE files in the directory
/usr/share/doc/packages/iscan-proprietary-drivers/

The proprietary libraries used by the driver epkowa are only needed for
the following scanners:

libesint1F: Perfection 1250 / Perfection 1250 PHOTO / GT-7200

libesint23: Perfection 1260 / Perfection 1260 PHOTO / GT-7300

libesint32: Perfection 3170 PHOTO / GT-9400

libesint41: Perfection 2480 PHOTO / GT-F500, Perfection 2580 PHOTO /
GT-F550

libesint43: Perfection 4180 PHOTO / GT-F600

libesint52: Perfection 3490 PHOTO / GT-F520, Perfection 3590 PHOTO /
GT-F570

libesint54: Perfection 4490 PHOTO / GT-X750

libesint66: Perfection V10 / GT-S600, Perfection V100 PHOTO / GT-F650

libesint68: Perfection V350 PHOTO / GT-F700

libesint7A: Perfection V200 PHOTO / GT-F670

libesint7E: Stylus CX4300, Stylus CX4400, Stylus CX5500, Stylus CX5600,
Stylus DX4400

Additionally proprietary firmware files are only needed for the
following scanners:

esfw41.bin: Perfection 2480 PHOTO / GT-F500, Perfection 2580 PHOTO /
GT-F550

esfw32.bin: Perfection 3170 PHOTO / GT-9400UF

esfw52.bin: Perfection 3490 PHOTO / GT-F520, Perfection 3590 PHOTO /
GT-F570

esfw43.bin: Perfection 4180 PHOTO / GT-F600

esfw54.bin: Perfection 4490 PHOTO / GT-X750

esfw66.bin: Perfection V10 / GT-S600, Perfection V100 PHOTO / GT-F650

esfw68.bin: Perfection V350 PHOTO / GT-F700

esfw7A.bin: Perfection V200 PHOTO / GT-F670

The firmware files are provided in the package iscan-firmware.

If your scanner is supported by the driver epkowa but does not need a
proprietary module, you can use the free software package iscan-free or
it may also work with a driver which is included in the package
sane-backends.


%changelog
* Sat Jul 09 2011 Texstar <texstar at gmail.com> 1.0.22-2pclos2011
- create package for pclos


